Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Compass / Reference / Compass Operations API

Forwarding rules

Postman Collection
OpenAPI

This resource represents the contract to create/update/delete/get of forwarding-rules in Compass. Forwarding rules are used for forwarding the incoming notification to another user.

GET

List forwarding rulesExperimental

Lists the all forwarding rules user can view. It optionally takes three parameters - offset, size and showAll.

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

showAll

boolean

offset

integer

size

integer

Responses

Returned if the request is successful.

application/json

ForwardingPaginatedResponse
GET/v1/forwarding-rules
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/forwarding-rules' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "values": [ { "id": "6667cb5b-a5ce-4550-9469-1dbcabac6ffb", "fromUserId": "e58d6ee3-37bd-432f-9ded-64808b761ae0", "toUserId": "4b26961a-a837-49d2-a1fe-0973013e3c3b", "startDate": "2022-07-05T08:00:00Z", "endDate": "2022-07-06T18:00:00Z" } ], "links": { "next": "/v1/forwarding-rules?offset=1&size=5" } }
POST

Create forwarding ruleExperimental

Creates a forwarding rule with the given properties.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

toUserId

string

Required
fromUserId

string

Required
startDate

string

Required
endDate

string

Required

Responses

Returned if the request is successful.

application/json

ForwardingRuleResponse
POST/v1/forwarding-rules
1 2 3 4 5 6 7 8 9 10 11 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/forwarding-rules' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "toUserId": "e58d6ee3-37bd-432f-9ded-64808b761ae0", "fromUserId": "4b26961a-a837-49d2-a1fe-0973013e3c3b", "startDate": "2022-07-05T08:00:00Z", "endDate": "2022-07-06T18:00:00Z" }'
201Response
1 2 3 4 5 6 7 { "id": "6667cb5b-a5ce-4550-9469-1dbcabac6ffb", "fromUserId": "e58d6ee3-37bd-432f-9ded-64808b761ae0", "toUserId": "4b26961a-a837-49d2-a1fe-0973013e3c3b", "startDate": "2022-07-05T08:00:00Z", "endDate": "2022-07-06T18:00:00Z" }
GET

Get forwarding ruleExperimental

Gets a forwarding rule with given id in the request.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful.

application/json

ForwardingRuleResponse
GET/v1/forwarding-rules/{id}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/forwarding-rules/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 { "id": "6667cb5b-a5ce-4550-9469-1dbcabac6ffb", "fromUserId": "e58d6ee3-37bd-432f-9ded-64808b761ae0", "toUserId": "4b26961a-a837-49d2-a1fe-0973013e3c3b", "startDate": "2022-07-05T08:00:00Z", "endDate": "2022-07-06T18:00:00Z" }
PUT

Update forwarding ruleExperimental

Updates a forwaring rule with given id in the request.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Request bodyapplication/json

toUserId

string

Required
fromUserId

string

Required
startDate

string

Required
endDate

string

Required

Responses

Returned if the request is successful.

application/json

ForwardingRuleResponse
PUT/v1/forwarding-rules/{id}
1 2 3 4 5 6 7 8 9 10 11 curl --request PUT \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/forwarding-rules/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "toUserId": "e58d6ee3-37bd-432f-9ded-64808b761ae0", "fromUserId": "4b26961a-a837-49d2-a1fe-0973013e3c3b", "startDate": "2022-07-05T08:00:00Z", "endDate": "2022-07-06T18:00:00Z" }'
200Response
1 2 3 4 5 6 7 { "id": "6667cb5b-a5ce-4550-9469-1dbcabac6ffb", "fromUserId": "e58d6ee3-37bd-432f-9ded-64808b761ae0", "toUserId": "4b26961a-a837-49d2-a1fe-0973013e3c3b", "startDate": "2022-07-05T08:00:00Z", "endDate": "2022-07-06T18:00:00Z" }
DEL

Delete forwarding ruleExperimental

Deletes a forwarding rule with given id in the request.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful.

DEL/v1/forwarding-rules/{id}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/forwarding-rules/{id}' \ --user 'email@example.com:<api_token>'

Rate this page: